# WRBackbone - Project file
# Warthog Robotics
# University of Sao Paulo
# https://www.wr.sc.usp.br
# Copyright 2011-2020 Warthog Robotics
# This file is part of WRBackbone project


# WRBackbone is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# WRBackbone is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


# Application info
TEMPLATE = app
DESTDIR  = bin
TARGET   = WRBackbone
VERSION  = 1.0.3
CONFIG  += c++11

# Qt config
CONFIG += console
CONFIG -= app_bundle
QT     -= gui


# Compilation flags
count(custom_cxxflags, 0) {
    QMAKE_CXXFLAGS_RELEASE = -O2 -Wfloat-equal -Wshadow -Woverloaded-virtual -Wold-style-cast

    count(arch, 1) {
        QMAKE_CXXFLAGS_RELEASE += -march=$$arch
    }
}

# Libraries definitions
LIBS *= -lomniORB4 -lGEARSystem -lomnithread

# Temporary dirs
OBJECTS_DIR = tmp/obj
MOC_DIR     = tmp/moc
UI_DIR      = tmp/moc
RCC_DIR     = tmp/rc

# Source files
INCLUDEPATH *= .

SOURCES     += src/main.cc

# Other files
OTHER_FILES += pre-build.sh \
               LICENSE

# Installation path
bin_files.files = bin/WRBackbone

count(bin_path, 0) {
    bin_files.path = /usr/bin/
}

count(bin_path, 1) {
    bin_files.path = $$bin_path
}


INSTALLS += bin_files
